# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::LabelStack Class Reference

The "label set" in Ecma-262 spec. More...

`#include <internal.h>`

List of all members.

## Public Member Functions

| LabelStack (const LabelStack &other)
LabelStack & | operator= (const LabelStack &other)
bool | push (const UString &id)
| If id is not empty and is not in the stack already, puts it on top of the stack and returns true, otherwise returns false.
bool | contains (const UString &id) const
| Is the id in the stack?
void | pop ()
| Removes from the stack the last pushed id (what else?).

## Detailed Description

The "label set" in Ecma-262 spec.

Definition at line 287 of file internal.h.

## Member Function Documentation

bool LabelStack::push | ( | const UString & | id | ) |

| If id is not empty and is not in the stack already, puts it on top of the stack and returns true, otherwise returns false. Definition at line 372 of file internal.cpp. References contains(), and KJS::UString::isEmpty().

bool LabelStack::contains | ( | const UString & | id | ) | const

| Is the id in the stack? Definition at line 384 of file internal.cpp. References KJS::UString::isEmpty(). Referenced by push().

void LabelStack::pop | ( |  | ) |

| Removes from the stack the last pushed id (what else?). Definition at line 396 of file internal.cpp.

The documentation for this class was generated from the following files:

- internal.h
- internal.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:08:46 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001